Package org.eclipse.emf.cdo.common.commit

# Interface CDOCommitInfoProvider

All Known Subinterfaces:
  `CDOCommitInfoManager`, `InternalCDOCommitInfoManager`

public interface CDOCommitInfoProvider
Calls registered `commit info handlers`.

Since:
  4.2
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`addCommitInfoHandler(CDOCommitInfoHandler handler)`
`CDOCommitInfoHandler[]`
`getCommitInfoHandlers()`
`void`
`removeCommitInfoHandler(CDOCommitInfoHandler handler)`

## Method Details

### getCommitInfoHandlers

CDOCommitInfoHandler[] getCommitInfoHandlers()

### addCommitInfoHandler

void addCommitInfoHandler(CDOCommitInfoHandler handler)

### removeCommitInfoHandler

void removeCommitInfoHandler(CDOCommitInfoHandler handler)